import matplotlib.pyplot as plt
import numpy as np


def P_after_n( g, a, b ):
    return g * b / (g * (b + a - 1) + (1 - a))

x = np.arange(0, 1.001, 0.01)
b = [ 0.1, 0.2, 0.5, 0.8, 0.94 ] 
y = []
for i in range(5):
    y.append([])
for v in x:
    for i in range(5):
        t = P_after_n( v, 0.05, b[i] )
        y[i].append(t)

plt.plot(x, y[0], 'b-')
plt.plot(x, y[1], 'b--')
plt.plot(x, y[2], 'g-')
plt.plot(x, y[3], 'g--')
plt.plot(x, y[4], 'r:')
plt.plot([0, 1], [0, 1], 'k--')
plt.legend(['0.9', '0.8', '0.5', '0.2', '0.06', 'y = x'], loc = 2)
plt.title('Probablity of "Effective" conditional on "Not Significant"')
plt.xlabel('P(Effective)')
plt.ylabel('P(Effective|Not Sig.)')
plt.show()
